Page MenuHomePhabricator

Add a default for LLVM_CXX_STD in HandleLLVMOptions
AbandonedPublic

Authored by lanza on Apr 8 2019, 6:31 PM.

Details

Reviewers
bogner
tstellar
Summary

A recent patch changed LLVM to use an LLVM_CXX_STD variable for
defining the C++ standard to use and also removed the default unset
case from HandleLLVMOption's usage. This broke standalone builds since,
for example, lldb's LLDBStandalone.cmake called HandleLLVMOptions.cmake
without this variable set.

Define a default value of c++11 for this value.

Diff Detail

Event Timeline

lanza created this revision.Apr 8 2019, 6:31 PM
Herald added a project: Restricted Project. · View Herald TranscriptApr 8 2019, 6:31 PM
lanza added a reviewer: bogner.Apr 8 2019, 6:32 PM
tstellar accepted this revision.Apr 8 2019, 7:41 PM
tstellar added a subscriber: tstellar.
tstellar added inline comments.
cmake/modules/HandleLLVMOptions.cmake
440–442

I think all the default setting code from llvm/CMakeLists.txt should be moved to this file.

This revision is now accepted and ready to land.Apr 8 2019, 7:41 PM
tstellar requested changes to this revision.Apr 8 2019, 8:42 PM

Sorry didn't mean to accept the patch with my last comment.

This revision now requires changes to proceed.Apr 8 2019, 8:42 PM
bogner added a comment.Apr 9 2019, 1:14 AM

This shouldn't be necessary any more after r357976. Sorry for the breakage!

lanza abandoned this revision.Apr 10 2019, 11:58 AM